//---------------------------------------------------------------------------
//  Project VCL2OWL
//
//  (C) 2007 OWLNext
//
//  SUBSYSTEM:  VLC Application with OWL Dialog example
//  FILE:     	OWLUnit.h
//  AUTHOR:     Sebastian Ledesma based on Kent Reisdorph info 
//
//  OVERVIEW
//  ~~~~~~~~
//  Interface for OWL dialog calling.
//
//----------------------------------------------------------------------------

#ifndef OWLUnitH
#define OWLUnitH

//remember to keep data alignement consistent
//ie: pragma option -a1
//original OWL apps used -a1
//VCL apps use -a4 in BCB5 and BCB6, and -a8 in BCB2006 and 2007
//in this example alignament is compatible with all versions

struct TOWLDlgXfer{
	char name[32];     
	char lastName[32];
};

//pragma option -a default

extern "C" {

bool CallOWLDialog(HINSTANCE hInstance, HWND hWndParent, TOWLDlgXfer *xferBuffer);

}

#endif
//---------------------------------------------------------------------------
